Loading...
Searching...
No Matches
map.hpp File Reference
`#include <osmium/util/compatibility.hpp>`
`#include <osmium/util/string.hpp>`
`#include <algorithm>`
`#include <cstddef>`
`#include <functional>`
`#include <map>`
`#include <memory>`
`#include <stdexcept>`
`#include <string>`
`#include <type_traits>`
`#include <vector>`
Include dependency graph for map.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | osmium::map_factory_error
class | osmium::index::map::Map< TId, TValue >
class | osmium::index::MapFactory< TId, TValue >
struct | osmium::index::map::create_map< TId, TValue, TMap >

## Namespaces

namespace | osmium
| Namespace for everything in the Osmium library.
namespace | osmium::index
| Indexing of OSM data, Locations, etc.
namespace | osmium::index::map
| Key-value containers with unique integer values for a key.

## Macros

#define | OSMIUM_CONCATENATE_DETAIL_(x, y)
#define | OSMIUM_CONCATENATE_(x, y)
#define | REGISTER_MAP(id, value, klass, name)

## Functions

template<typename TId, typename TValue, template< typename, typename > class TMap>
bool | osmium::index::register_map (const std::string &name)

## Macro Definition Documentation

## OSMIUM_CONCATENATE_

#define OSMIUM_CONCATENATE_ | ( |  | x,
|  |  | y )

Value:
OSMIUM_CONCATENATE_DETAIL_(x, y)
OSMIUM_CONCATENATE_DETAIL_
#define OSMIUM_CONCATENATE_DETAIL_(x, y)
Definition map.hpp:284

## OSMIUM_CONCATENATE_DETAIL_

#define OSMIUM_CONCATENATE_DETAIL_ | ( |  | x,
|  |  | y )

Value:
x##y

## REGISTER_MAP

#define REGISTER_MAP | ( |  | id,
|  |  | value,
|  |  | klass,
|  |  | name )

Value:
namespace osmium { namespace index { namespace detail { \
namespace OSMIUM_CONCATENATE_(register_map_, __COUNTER__) { \
const bool registered = osmium::index::register_map<id, value, klass>(#name); \
inline bool get_registered() noexcept { \
return registered; \
} } \
} } }
OSMIUM_CONCATENATE_
#define OSMIUM_CONCATENATE_(x, y)
Definition map.hpp:285
detail
Definition attr.hpp:342
osmium::index::register_map
bool register_map(const std::string &name)
Definition map.hpp:278
osmium
Namespace for everything in the Osmium library.
Definition assembler.hpp:53